Package org.eclipse.m2m.atl.emftvm.ant

# Class ModelElement

java.lang.Object
org.eclipse.m2m.atl.emftvm.ant.ModelElement

Direct Known Subclasses:
  `InModel`, `InOutModel`, `MetaModel`, `OutModel`, `OutModelSet`

public abstract class ModelElement extends Object
Nested Ant model element.

## Constructor Summary

Constructors
Constructor
Description
`ModelElement()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAs()`
Returns the model element alias.
`String`
`getName()`
Returns the model element name.
`boolean`
`isAllowInterModelReferences()`
Returns the allowInterModelReferences (default = `true`).
`void`
`setAllowInterModelReferences(boolean allowInterModelReferences)`
Sets the allowInterModelReferences with the allowInterModelReferences value.
`void`
`setAs(String as)`
Sets the model element alias.
`void`
`setName(String name)`
Sets the model element name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ModelElement

public ModelElement()

## Method Details

### setName

public void setName(String name)
Sets the model element name.

Parameters:
  `name` - the name to set

### getName

public String getName()
Returns the model element name.

Returns:
  the name

### getAs

public String getAs()
Returns the model element alias.

Returns:
  the as

### setAs

public void setAs(String as)
Sets the model element alias.

Parameters:
  `as` - the as to set

### isAllowInterModelReferences

public boolean isAllowInterModelReferences()
Returns the allowInterModelReferences (default = `true`).

Returns:
  the allowInterModelReferences

### setAllowInterModelReferences

public void setAllowInterModelReferences(boolean allowInterModelReferences)
Sets the allowInterModelReferences with the allowInterModelReferences value.

Parameters:
  `allowInterModelReferences` - the allowInterModelReferences to set